#!/bin/sh

#A script for testing uncode.pl

# Prepare test data with CRLF in all the required places
perl uncode.pl --unix --test uncode.test uncode.testCRLF

# run it in unix mode without dropping CTEs
perl uncode.pl --unix --head --noctedrop uncode.test uncode.result

# and observe the intended changes
diff -C1 uncode.testCRLF uncode.result | cat -v

# Prepare another result with CTEs dropped
perl uncode.pl --unix --head uncode.test uncode.result

# Now the following three tests should give the same hash:

perl uncode.pl -q --unix uncode.test | perl sha-256.pl
perl uncode.pl -q uncode.testCRLF | perl sha-256.pl
perl uncode.pl -q uncode.result | perl sha-256.pl
